Problems with Microsoft.Bcl.Async when installing 1.0.0 from NuGet

Oct 20, 2014 at 7:41 AM
I tried to install PCL Storage version 1.0.0 to my PCL, profile 344, project, but the NuGet installation failed.

This happened because when it tried to resolve the Microsoft.Bcl.Async dependency, it picked version 1.0.165 of the Async package. However, version 1.0.165 does not seem to target all the platforms of the PCL Storage 1.0.0 package, so no packages were installed eventually.

To workaround the issue, I first installed the latest version of Microsoft.Bcl.Async, i.e. version 1.0.168, and then installed PCL Storage version 1.0.0. This worked flawlessly.

As it seems, the dependency for Microsoft.Bcl.Async should be updated to version 1.0.168 or higher in PCL Storage version 1.0.0 NuGet specifications.

Or am I missing something?

Best regards,
Anders @ Cureos